﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace testFieldPicker
{
    /// <summary>
    /// Interaction logic for Picker.xaml
    /// </summary>
    public partial class Picker : Window
    {
        public Picker()
        {
            InitializeComponent();
        }
        private void SetGridLayout(XamDataGrid grid, FieldLayout newLayout)
        {
            if ((null != grid) && (null != newLayout))
            {
                FieldLayout oldLayout = grid.DefaultFieldLayout;

                if (oldLayout != newLayout)
                {
                    List<Person> source = grid.DataSource as List<Person>;
                    grid.DataSource = null;
                    grid.FieldLayouts.Remove(oldLayout);
                    grid.FieldLayouts.Add(newLayout);
                    grid.DataSource = source;
                }
            }
        }

        private void listFieldLayouts_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            if (listFieldLayouts.SelectedItem != null)
            {
                FieldLayout fl = PickerWindow.Resources[(listFieldLayouts.SelectedItem as ListViewItem).Tag.ToString()] as FieldLayout;
                if (fl != null)
                {
                    SetGridLayout((Application.Current.MainWindow as Window1).xamDataGrid1 as XamDataGrid, fl);
                }
            }
        }
    }
}
